/********************************************************/
/*                                                      */
/*               OO7 Benchmark                          */
/*                                                      */
/*              COPYRIGHT (C) 1993                      */
/*                                                      */
/*                Michael J. Carey 		        */
/*                David J. DeWitt 		        */
/*                Jeffrey Naughton 		        */
/*               Madison, WI U.S.A.                     */
/*                                                      */
/*	         ALL RIGHTS RESERVED                    */
/*                                                      */
/********************************************************/

// Converted to ONTOS - JFN.

#ifndef PARTID_H
#define PARTID_H

#define HashTableSize 256

class Member {
public:
    int		value;
    Member*	next;
};

class PartIdSet {
private:
    Member* hashTable[HashTableSize];
    int     emptySet;
    int hash(int val) { return((val * 12345 + 6789) % HashTableSize); }

public:
    PartIdSet();
    ~PartIdSet() { clear(); };
    void clear();
    void insert(int val);
    int  contains(int val);
    int	 empty() { return(emptySet); };
};

#endif


/*  $Version: PartIdSet.h 1.1 93/02/19 16:08:04 Exp $ */

